## newsflash 0.99

=== Makefile ===
# $Id: Makefile,v 1.5 1996/08/07 00:41:01 chris Exp $

# $Log: Makefile,v $
# Revision 1.5  1996/08/07  00:41:01  chris
# version number increased
#
# Revision 1.4  1995/11/12  00:05:52  chris
# *** empty log message ***
#
# Revision 1.3  1995/10/02  01:37:04  chris
# *** empty log message ***
#
# Revision 1.2  1995/10/01  20:53:59  chris
# Added printdate target
#
# Revision 1.1  1995/10/01  18:53:17  chris
# Initial revision
#

CC=gcc
OFLAGS= -O2 #-Wall #-DDEBUG #-DSCUMOS

# Which version of Newsflash is this?
VERSION="0.99"
DATE="07 Aug 96"

DEFINES= -DVERSION=\"$(VERSION)\" -DDATE=\"$(DATE)\"

# where to install the binary?
BINPATH=/usr/local/bin

# add any compile flags needed here
CFLAGS= $(OFLAGS) $(DEFINES)
LFLAGS=

# any libs needed?
LIBS= 

OBJS= tcp.o nntp.o newsflash.o spool.o
SRCS= tcp.c nntp.c newsflash.c spool.c

#######################################################

all:	newsflash printdate

newsflash: $(OBJS)
	$(CC) $(LFLAGS) $(OBJS) -o $@ $(LIBS)

printdate: printdate.c
	$(CC) $(LFLAGS) printdate.c -o $@ $(LIBS)

clean:
	-rm .depend *.o core newsflash printdate

dep:
	$(CC) -M $(SRCS) >.depend

install:
	strip newsflash
	cp -f newsflash $(BINPATH)

ifeq (.depend,$(wildcard .depend))
include .depend
endif
# THIS LINE IS REQUIRED BY SCUMOS'S BRAINDEAD MAKE.

## newsflash 0.99-3

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 
 CC=gcc
-OFLAGS= -O2 #-Wall #-DDEBUG #-DSCUMOS
+OFLAGS= -g  #-Wall #-DDEBUG #-DSCUMOS
 
 # Which version of Newsflash is this?
 VERSION="0.99"
@@ -27,10 +27,11 @@
 DEFINES= -DVERSION=\"$(VERSION)\" -DDATE=\"$(DATE)\"
 
 # where to install the binary?
-BINPATH=/usr/local/bin
+BINPATH=./debian/tmp/usr/bin
+SBINPATH=./debian/tmp/usr/sbin
 
 # add any compile flags needed here
-CFLAGS= $(OFLAGS) $(DEFINES)
+CFLAGS= $(OFLAGS) #$(DEFINES)
 LFLAGS=
 
 # any libs needed?
@@ -43,7 +44,7 @@
 
 all:	newsflash printdate
 
-newsflash: $(OBJS)
+newsflash: $(OBJS) config.h
 	$(CC) $(LFLAGS) $(OBJS) -o $@ $(LIBS)
 
 printdate: printdate.c
@@ -58,6 +59,8 @@
 install:
 	strip newsflash
 	cp -f newsflash $(BINPATH)
+	cp -f newsflashconfig $(SBINPATH)
+	chown news.news $(BINPATH)/newsflash	
 
 ifeq (.depend,$(wildcard .depend))
 include .depend

=== debian/changelog ===
newsflash (0.99-3) unstable; urgency=low

  * improved newsflashconfig
  * added manage newsflashconfig

 -- Matthias Kabel <mkabel@debian.org>  Son, 13  Jun 1999 23:16:31 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "mkabel@debian.org"
End:

=== debian/control ===
Source: newsflash
Section: news
Priority: optional
Maintainer: Matthias Kabel <mkabel@debian.org>
Standards-Version: 2.4.1

Package: newsflash
Architecture: any
Depends: ${shlibs:Depends}
Recommends: 
Suggests: inn, postit
Description: Get news with the newnews command from a server
 The Newsflash program retrieves news articles via NNTP from one server and
 delivers them to another.  It requires at least read-only permissions
 on the remote server, and needs to have peer permissions on the local
 server.  It works well with INN, but should also work with any other 
 RFC977 compliant news software.  Newsflash's highly parallel design
 is optimized for throughput, which makes quite a difference to INN's
 nntpget and the like.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=newsflash

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	cp serverlist debian/tmp/etc/news/newsflash/
	cp list? debian/tmp/etc/news/newsflash/
	cp newsflashconfig debian/tmp/usr/sbin
	chown news.news debian/tmp/etc/news/newsflash -R
	chown news.news debian/tmp/usr/bin/newsflash
	
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	
define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
